Subject: Re: bug#31238: Dynamic Module Crash

From: Philipp Stephani <[email-masked]>
Date: Fri, 21 Sep 2018 19:16:44 +0200

Philipp Stephani <[email-masked]> schrieb am Di., 24. Apr. 2018 um
16:08 Uhr:

> Tuấn Anh Nguyễn <[email-masked]> schrieb am So., 22. Apr. 2018 um
> 18:32 Uhr:
>
>> Emacs 25.3.1 crashes with a segfault when trying to print a value
>> constructed (in certain ways) by a dynamic module.
>>
>> Reproduction: https://github.com/ubolonton/emacs-module-crash
>>
>> Context: https://github.com/ubolonton/emacs-module-rs/issues/2
>>
>>
> This might be caused by commit 3eb93c07f7a60ac9ce8a16f10c3afd5a3a31243a,
> which removed GC protection for module-allocated values.
>

Unless anybody complains, I'll revert that commit. Modules can store/use
emacs_value objects in arbitrary ways; there's no way we can rely on stack
scanning to reliably find them.